petsc-3.4.2 2013-07-02

# DMHasColoring

does the DM object have a method of providing a coloring?

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMHasColoring(DM dm,PetscBool  *flg)

Not Collective

### Input Parameter

dm -the DM object

### Output Parameter

flg -PETSC_TRUE if the DM has facilities for DMCreateColoring().

### See Also

DMHasFunction(), DMCreateColoring()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages